GDB (xrefs)

Public Attributes | List of all members
frame_arg Struct Reference

`#include "frame.h"`

## Public Attributes
struct symbol * | sym
struct value * | val
char * | error
const char * | entry_kind

## Detailed Description

Definition at line 758 of file frame.h.

## Member Data Documentation

## ◆ entry_kind

const char* frame_arg::entry_kind

Definition at line 780 of file frame.h.

Referenced by enumerate_args(), list_arg_or_local(), list_args_or_locals(), print_frame_arg(), print_frame_args(), py_print_single_arg(), and read_frame_arg().

## ◆ error

char* frame_arg::error

Definition at line 769 of file frame.h.

Referenced by enumerate_args(), list_arg_or_local(), list_args_or_locals(), print_frame_arg(), print_frame_args(), py_print_single_arg(), read_frame_arg(), and read_frame_local().

## ◆ sym

struct symbol* frame_arg::sym

Definition at line 761 of file frame.h.

Referenced by enumerate_args(), list_arg_or_local(), list_args_or_locals(), print_frame_arg(), print_frame_args(), py_print_single_arg(), read_frame_arg(), and read_frame_local().

## ◆ val

struct value* frame_arg::val

Definition at line 765 of file frame.h.

Referenced by gdb-gdb.TypeFlagsPrinter::__str__(), gdb-gdb.StructMainTypePrettyPrinter::bounds_img(), enumerate_args(), gdb-gdb.StructMainTypePrettyPrinter::flags_to_string(), list_arg_or_local(), gdb-gdb.StructMainTypePrettyPrinter::owner_to_string(), print_frame_arg(), py_print_single_arg(), read_frame_arg(), read_frame_local(), gdb-gdb.StructMainTypePrettyPrinter::struct_field_img(), gdb-gdb.StructTypePrettyPrinter::to_string(), gdb-gdb.StructMainTypePrettyPrinter::to_string(), and gdb-gdb.StructMainTypePrettyPrinter::type_specific_img().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/frame.h